org.apache.catalina.loader

## Class ResourceEntry

- java.lang.Object
- - org.apache.catalina.loader.ResourceEntry

    public class ResourceEntry
    extends Object

Resource entry.

Author:
  Remy Maucherat

### Field Summary

Fields
`byte[]` `binaryContent` Binary content of the resource.
`Certificate[]` `certificates` Certificates (if the resource was loaded from a JAR).
`URL` `codeBase` URL of the codebase from where the object was loaded.
`long` `lastModified` The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.
`Class<?>` `loadedClass` Loaded class.
`Manifest` `manifest` Manifest (if the resource was loaded from a JAR).
`URL` `source` URL source from where the object was loaded.

### Constructor Summary

Constructors
Constructor and Description
`ResourceEntry()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lastModified

    public long lastModified

The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.

#### binaryContent

    public byte[] binaryContent

Binary content of the resource.

#### loadedClass

    public volatile Class<?> loadedClass

Loaded class.

#### source

    public URL source

URL source from where the object was loaded.

#### codeBase

    public URL codeBase

URL of the codebase from where the object was loaded.

#### manifest

    public Manifest manifest

Manifest (if the resource was loaded from a JAR).

#### certificates

    public Certificate[] certificates

Certificates (if the resource was loaded from a JAR).

### Constructor Detail

#### ResourceEntry

    public ResourceEntry()